<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Tesseract Results </title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.4/css/bulma.min.css">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@vizuaalog/bulmajs@0.12.2/dist/bulma.min.js"></script>

    <style>
        canvas {
            max-height: 280px !important;
        }

        .tabs-content > ul > li {
            display: none;
            list-style: none;
        }

        .tabs-content li.is-active {
            display: block;
        }
    </style>
</head>
<body>
    <section class="section">
        <div class="container is-widescreen">
            <div class="mb-3">
                <h1 class="title">
                    Tesseract results
                </h1>
                <p class="subtitle">
                    Generated at {{ time }}
                </p>
            </div>
            <div class="tabs-wrapper">
                <!-- Tabs -->
                <div class="tabs is-boxed mb-2">
                    <ul>
                        <li class="is-active">
                            <a>Host information</a>
                        </li>
                        <li>
                            <a>Tests</a>
                        </li>
                        <li>
                            <a>Attacks</a>
                        </li>
                        <li>
                            <a>Mitigation</a>
                        </li>
                    </ul>
                </div>

                <!-- Tabs content -->
                <div class="tabs-content">
                    <ul>
                        <li class="is-active">
                            <h2 class="title is-4">General gathered information</h2>
                            <hr>
                            <div class="columns">
                                <div class="column is-one-third">
                                    {{> host }}
                                    {{> own-container }}
                                </div>
                                <div class="column is-one-third">
                                    {{> neighbours }}
                                </div>
                                <div class="column is-one-third">
                                    {{> networks }}
                                </div>
                            </div>
                        </li>
                        <li>
                            <h2 class="title is-4">Test results</h2>
                            <hr>
                            <div class="columns is-multiline">
                                {{ #each engine.router }}
                                <div class="column is-one-third">
                                    {{>tests key=@key tests=this}}
                                </div>
                                {{ /each }}
                                <div class="column is-one-third">
                                    {{> general-stats engine=engine }}
                                </div>
                            </div>
                        </li>
                        <li>
                            <h2 class="title is-4">Attack results</h2>
                            <h3 class="title is-5">Overall grade :
                                {{ score }}
                            </h3>
                            <hr>
                            <div class="columns is-multiline">
                                {{ #each attacks }}
                                    <div class="column is-half">
                                        {{>attacks key=@key attacks=this }}
                                    </div>
                                {{ /each }}
                            </div>
                        </li>
                        <li>
                            <h2 class="title is-4">Mitigations available</h2>
                            {{ #if (not (A grade)) }}
                                <h3 class="title is-5">It is advised to apply mitigations to enhance the overall
                                    grade of the container and ensure the security of the container.
                                </h3>
                            {{ /if }}
                            <hr>
                            <div class="columns is-multiline">
                                {{ #each mitigations }}
                                    <div class="column is-half">
                                        {{>mitigation mitigation=this }}
                                    </div>
                                {{ /each }}
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </section>

</body>
</html>